create_diode#

NexximComponents.create_diode(name=None, model_name='required', location=None, angle=0, use_instance_id_netlist=False)[source]#

Create a diode.

Parameters:
namestr

Name of the diode. The default is None.

model_namestr, optional

Name of the model. The default is "required".

locationlist of float, optional

Position on the X axis and Y axis.

anglefloat, optional

Angle rotation in degrees. The default is 0.

use_instance_id_netlistbool, optional

Whether to use the instance ID in the net list. The default is False.

Returns:
pyaedt.modeler.cad.object3dcircuit.CircuitComponent

Circuit Component Object.

References

>>> oEditor.CreateComponent